{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans 'Newsletter List' %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Newsletters" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">Newsletter ID</th>
                                <th scope="col">{% trans "Full Name" %}</th>
                                <th scope="col">{% trans "Email" %}</th>
                                <th scope="col">{% trans "Language" %}</th>
                                <th scope="col">{% trans "Entry Time" %}</th>
                                <th scope="col">
                                    {% if perms.newsletters.manage_newsletter %}
                                    <a class="btn btn-sm btn-success"
                                        href="{% url 'news:newsletters_create' %}?next={{ request.get_full_path }}" data-toggle="tooltip"
                                        title="{% trans 'Add Email' %}"><i class="fas fa-plus fa-fw"></i></a>

                                    <a class="btn btn-sm btn-info" href="{% url 'news:newsletters_send' %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Send Newsletter' %}"><i
                                            class="fas fa-reply-all fa-fw"></i></a>
                                    {% endif %}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for newsletter in newsletter_list %}
                            <tr>
                                <td>{{ newsletter.pk }}</td>
                                <td>{{ newsletter.full_name }}</td>
                                <td>{{ newsletter.email }}</td>
                                <td>{{ newsletter.get_language_display }}</td>
                                <td>{{ newsletter.timestamp }}</td>
                                <td>
                                    {% if perms.newsletters.manage_newsletter %}
                                    <a class="btn btn-sm btn-warning"
                                        href="{% url 'news:newsletters_edit' pk=newsletter.pk %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Edit Newsletters' %}"><i class="fas fa-pen fa-fw"></i></a>
                                    <a class="btn btn-sm btn-danger"
                                        href="{% url 'news:newsletters_delete' pk=newsletter.pk %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Delete Newsletters' %}"><i
                                            class="fas fa-trash fa-fw"></i></a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}